/*
 * Copyright 2013 (c) Anna Schumaker.
 *
 * The filter layer is used to search for a subset of
 * songs based on an input string.
 */
#ifndef OCARINA_CORE_FILTER_H
#define OCARINA_CORE_FILTER_H

#include <core/containers/set.h>

/* Called to initialize the filter index. */
void filter_init();

/* Called to clean up the filter index. */
void filter_deinit();

/* Add the input string to the index. */
void filter_add(const gchar *, unsigned int);

/* Search for the input string in the index. */
void filter_search(const gchar *, struct set *);

#endif /* OCARINA_CORE_FILTER_H */
