/*
 * Copyright 2015 (c) Anna Schumaker.
 */
#ifndef OCARINA_CORE_HISTORY_H
#define OCARINA_CORE_HISTORY_H

#include <core/queue.h>

/* Called to initialize the history queue. */
void history_init(struct queue_ops *);

/* Called to deinitialize the history queue. */
void history_deinit();


/* Called to add a track to the history queue. */
void history_add(struct track *);

/* Called to pick a track from the history. */
struct track *history_prev();


/* Called to access the queue of recent tracks. */
struct queue *history_get_queue();

#endif /* OCARINA_CORE_HISTORY_H */
